### Method

# Tracker NamespaceManager add_prefix

#### Declaration [src]

    void
    tracker_namespace_manager_add_prefix (
      TrackerNamespaceManager* self,
      const char* prefix,
      const char* ns
    )

#### Description [src]

Adds `prefix` as the recognised abbreviaton of `namespace`.

Only one prefix is allowed for a given namespace, and all prefixes must be unique.

Since 3.3, The `TrackerNamespaceManager` instances obtained through `tracker_sparql_connection_get_namespace_manager()` are “sealed”, this API call should not performed on those.

#### Parameters

`prefix`

  Type: `const char*`

  A short, unique prefix to identify `namespace`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`ns`

  Type: `const char*`

  The URL of the given namespace.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.